Vsan Diagnostics System Vsan Query Network Diagnostics

Vsan Diagnostics System Vsan Query Network Diagnostics
Get the latest network events that triggered network alarms.

Get the latest network events that triggered network alarms.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanDiagnosticsSystem/{moId}/VsanQueryNetworkDiagnostics
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanDiagnosticsSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanQueryNetworkDiagnosticsRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "host": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
cluster
Required

The cluster where the network diagnostics is performed.

host
Optional

Get only for the specified host.

Authentication
This operation uses the following authentication methods.
Responses
200

vim.cluster.VsanNetworkDiagnostics[]

[
    {
        "_typeName": "string",
        "host": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "eventTypeId": "string",
        "severity": "string",
        "createdTime": "string",
        "arguments": [
            {
                "_typeName": "string",
                "key": "string",
                "value": {
                    "_typeName": "string"
                }
            }
        ]
    }
]
array of object
Optional

Defines the IO latency related statistics in vSAN.

This object will include the time range these statistics are collected, the number of IOs monitored, and the corresponding statistics.

This structure may be used only with operations rendered under /vsan.


500

Failure

Returns NotFound of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanDiagnosticsSystem/{moId}/VsanQueryNetworkDiagnostics